html, body{
  margin: 0;
  padding: 0;
}
body{
  min-height: 100vh;
  background-color:  #F0EEE4;
}






/*-----NAV BAR-----*/
nav{
  background-color: #F0EEE4;
  padding-top: 5px;
  padding-bottom: 5px;
  width: 100%;
  position: sticky;
  top: 0;
  z-index: 2;
  border-bottom: 1px solid #404040;

}
nav ul{
  list-style: none; 
  display: flex;
}
nav li{
  height: 60px
}
nav a{
  height: 100%;
  padding: 0 30px;
  text-decoration: none;
  display: flex;
  align-items: center;
  color: #404040;
  font-family: Arial, Helvetica, sans-serif;
  letter-spacing: 1px;
  font-size: 23px;
  z-index: 99999;
}
nav a:hover{
  text-decoration: underline;
}

nav li:first-child{
  margin-right: auto;
}
.mobileNav{
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 100vw;
  z-index: 999;
  background-color: #F0EEE4b7;
  backdrop-filter: blur(10px);
  display: none;
  flex-direction: column!important;
}
.mobileNav ul {
  list-style: none;
  padding: 30px;
  margin: 0px;
  display: flex;
  flex-direction: column; 
  align-items: center; 
  row-gap: 35px;

}
.mobileNav li{
  height: 100%;
  padding: 0 30px;
  text-decoration: none;
}
.mobileNav a{
  width:100%;
  color: #404040;
  font-family: Arial, Helvetica, sans-serif;
  letter-spacing: 1px;
  font-size: 30px;  
}
.heroLogo{
  margin: -10px 0px 0px -20px;
  height: 90%;
}
.menuButton{
  display: none;
}
@media screen and (max-width: 650px){
  .hideOnMobile{
    display: none;
  }
  .menuButton{
    display: block;
    padding-right: 30px;
  }
}
@media screen and (max-width: 450px){
  .mobileNav{
    width: 100%;
  }
}






/*-----HERO AREA-----*/
/*backgroundimage*/
@media screen and (max-width: 660px) {
.heroBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 70vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
  }
.heroMenuBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 55vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
}
.heroLocationsBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 55vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
}
.heroAboutBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 55vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
}
.heroEmailBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 90vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
}
}
@media screen and (max-width: 660px) {
  .heroBackgroundImg, .heroMenuBackgroundImg, .heroLocationsBackgroundImg, .heroEmailBackgroundImg, .heroAboutBackgroundImg {
    background-repeat: no-repeat;
    background-size: cover; 
    height: 70vh;
    width: 100%;
    margin-top: -10px;
    display: flex;
    justify-content: center; 
    align-items: center; 
    z-index: 0;
    position: relative;
    }
  .heroBackgroundImg{
    background-image: url("../CielitoLindo/Images/HeroImageMobileScreenMediumQuality.jpg");
    }
  .heroMenuBackgroundImg{
    background-image: url("../CielitoLindo/Images/HorchataLattesMobile.jpg");
    height: 55vh;
    }
  .heroLocationsBackgroundImg{
    background-image: url("../CielitoLindo/Images/LocationsMobile.jpg");
    height: 55vh;
  }
  .heroAboutBackgroundImg{
    background-image: url("../CielitoLindo/Images/AboutUsDonuts.jpg");
    height: 55vh;
    }
  .heroEmailBackgroundImg{
    background-image: url("../CielitoLindo/Images/EmailPage.jpg");
    height: 90vh;
    }
  }
@media screen and (min-width: 661px) {
.heroMenuBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 60vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
}
.heroLocationsBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 60vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
}
.heroAboutBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 60vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
}
.heroBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 90vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
}
.heroEmailBackgroundImg::before{
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 90vh;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8); 
  z-index: 1;
}
}
@media screen and (min-width: 661px) {
  .heroBackgroundImg, .heroMenuBackgroundImg, .heroLocationsBackgroundImg, .heroEmailBackgroundImg, .heroAboutBackgroundImg {
    background-repeat: no-repeat;
    background-size: cover; 
    width: 100%;
    height: 90vh;
    margin-top: -10px;
    display: flex;
    justify-content: center; 
    align-items: center; 
    z-index: 0;
    position: relative;
      }
  .heroBackgroundImg{
    background-image: url("../CielitoLindo/Images/HeroImageFullScreenHighQuality.jpg");
      }
  .heroMenuBackgroundImg{
    background-image: url("../CielitoLindo/Images/HorchataLattesMenuFullSize.jpg");
    height: 60vh;
      }
  .heroLocationsBackgroundImg{
    background-image: url("../CielitoLindo/Images/LocationsFullScreen.jpg");
    height: 60vh;
      }
  .heroAboutBackgroundImg{
    background-image: url("../CielitoLindo/Images/AboutUsDonuts.jpg");
    height: 60vh;
       }
  .heroEmailBackgroundImg{
    background-image: url("../CielitoLindo/Images/EmailPage.jpg");
    }
  }



/*Hero Layout and Text*/
@media screen and (min-width: 661px) {
.hero{z-index: 2;position: relative;
  }
  }
@media screen and (max-width: 660px) {
.hero{
z-index: 2;
position: relative;
}
}

@media screen and (min-width: 1050px) {
.heroText {
position: relative; 
margin: 0 -35% -5% 0%;
z-index: 2; 
  }
}

@media screen and (max-width: 660px) {
.heroText {
  position: relative; 
  z-index: 2; 
  margin: -10% 10% 0 5%;
  }
}
@media screen and (min-width:661px) and  (max-width: 1200px) {
.heroText {
  position: relative; 
  z-index: 2; 
  margin: 5% 30% 0% 5%;
  }
}
.textCentered{
  margin: auto;
  text-align: center;
  position: relative;
}

@media screen and (min-width: 1050px) {.heroHeading {
  color: #F0EEE4;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bold;
  letter-spacing: 1px;
  font-size: 70px;
  }
}
@media screen and (max-width: 660px) {
    .heroHeading {
      color: #F0EEE4;
      font-family: Arial, Helvetica, sans-serif;
      font-weight: bold;
      letter-spacing: 1px;
      font-size: 50px;
    }
  }
  @media screen and (min-width:661px) and  (max-width: 1050px) {
    .heroHeading {
      color: #F0EEE4;
      font-family: Arial, Helvetica, sans-serif;
      font-weight: bold;
      letter-spacing: 1px;
      font-size: 60px;
    }
  }

  .heroSubHeading{
    color: #419db1;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    letter-spacing: 1px;
    font-size: 30px;
    margin-top: -5px;
  }





  /*-----TEXT STUFF-----*/
  @media screen and (min-width: 661px) {
    .wrapperForText {
      padding: 120px 120px 0px 120px;
    }
  }
  @media screen and (max-width: 660px) {
    .wrapperForText {
      padding: 20px 20px 0px 20px;
    }
  }
  
  .paragraphWhite{
    color: #F0EEE4;
    font-family: Arial, Helvetica, sans-serif;
    letter-spacing: 1px;
    font-size: 20px;
    line-height: 1.5;
  }
  p{
    color: #404040;
    font-family: Arial, Helvetica, sans-serif;
    letter-spacing: 1px;
    font-size: 20px;
    line-height: 1.5;
    word-break: keep-all;
  }

      .defaultHeading {
        color: #404040;
        font-family: Arial, Helvetica, sans-serif;
        font-weight: bold;
        letter-spacing: 1px;
        font-size: 50px;
      }
  

      .defaultWhiteHeading {
        color: #F0EEE4;
        font-family: Arial, Helvetica, sans-serif;
        font-weight: bold;
        letter-spacing: 1px;
        font-size: 50px;
      }
    
        .defaultBlueHeading {
          color: #419db1;
          font-family: Arial, Helvetica, sans-serif;
          font-weight: bold;
          letter-spacing: 1px;
          font-size: 50px;
        }

.defaultSubHeading{
  color: #404040;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bold;
  letter-spacing: 1px;
  font-size: 30px;
  padding: 0;
  margin: 0;
}
.defaultWhiteSubHeading{
  color: #F0EEE4;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bold;
  letter-spacing: 1px;
  font-size: 30px;
  padding: 0;
  margin: 0;
}
  button{
    border-radius: 10px;
    border: none;
    background-color: #419db1;
    color: #F0EEE4;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    padding: 10px 30px 10px 30px;
    letter-spacing: 1px;
    border: none;
  }
  button:hover{
    background-color: #F0EEE4;
    color: #419db1;
  }
  button:focus{
    background-color: #F0EEE4;
    color: #419db1;
  }
  .whitebutton{
    border-radius: 10px;
    border: none;
    background-color: #F0EEE4;
    color: #419db1;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    padding: 10px 30px 10px 30px;
    letter-spacing: 1px;
    border: none;
    margin: 10px;
  }
  .whitebutton:hover{
    border: 2px solid #F0EEE4;
    background-color: #419db1;
    color: #F0EEE4;
  }
  .whitebutton:focus{
    border: 2px solid #F0EEE4;
    background-color: #419db1;
    color: #F0EEE4;
  }



/*---------TABLES-------*/
table{
  font-family: Arial, Helvetica, sans-serif;
  color: #404040;
}
@media screen and (min-width:661px){
  table{
    padding: 30px;
  }
  td{
    padding: 10px;
}
}
@media screen and (max-width:660px){
  table{
    padding: 0px;
  }
  td{
    padding: 10px;
    font-size: 15px;
}
}

th{
  font-weight: bold;
  padding: 0px 10px 0px 10px;
}
tr{
  text-align: center;
  padding: 10px;
}
.trpastry{
  text-align: center;
  padding: 10px;
  font-weight: bold;
}
tr:nth-child(even){
  font-weight: bold;
  text-align: left;
}
td:first-child{
  text-align: left;
}
@media screen and (min-width: 1126px){
  .mobileView{
    display: none;
  }
.desktopView {
  overflow: hidden;
}
.buttonArea{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr;
}
.desktopViewButton {
  border-radius: 20px;
  border: 2px solid #419db1;
  background-color: #F0EEE4;
  color: #55CAE5; 
  font-family: Arial, Helvetica, sans-serif;
  font-size: 20px;
  padding: 20px;
  letter-spacing: 1px;
  margin: 20px;
  align-items: center; 
  justify-content: center; 
  text-align: center;
  transition: background-color 0.3s, color 0.3s; 
}

.desktopViewButton img {
  max-width: 100%;
  max-height: 100%;
  margin-right: 10px; 
}

.desktopViewButton:hover {
  background-color: #419db1; 
  color: #F0EEE4; 
}

.desktopViewButton:focus{
  background-color: #419db1;
  color: #F0EEE4;
}
.desktopViewButton:active {
  background-color: #419db1; 
  color: #F0EEE4; 
}


.desktopViewContent {
  display: none;
  padding: 6px 12px;
  border: 1px solid #419db1;
  border-top: none;
}
}

@media screen and (max-width: 1125px){
.desktopView, .desktopViewContent{
  display:none;
  }
.mobileViewContent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #419db1;
    border-top: none;
    overflow: hidden;
}
.mobileViewContent.show{
  display: block;
}
.mobileView{
  display: grid;
  grid-template-columns: 1fr;
  }
.buttonMobileArea{
  display: flex;
  flex-direction: column;
  }
.mobileViewButton {
  border-radius: 20px;
  border: 2px solid #419db1;
  background-color: #F0EEE4;
  color: #419db1; 
  font-family: Arial, Helvetica, sans-serif;
  font-size: 20px;
  padding: 10px;
  letter-spacing: 1px;
  margin: 5px;
  align-items: center; 
  justify-content: center; 
  text-align: center;
  transition: background-color 0.3s, color 0.3s;
  }
  .mobileViewButton img {
    display: none;
  }
  .mobileViewButton:hover {
    background-color: #419db1; 
    color: #F0EEE4; 
  }
  .mobileViewButton:active {
    background-color: #419db1; 
    color: #F0EEE4; 
  }
  .mobileViewButton:focus {
    background-color: #419db1; 
    color: #F0EEE4; 
  }

}







  /*-----CUSTOMER REVIEWS-----*/
.customerReviewArea {
  font-family: Arial, Helvetica, sans-serif;
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 15px;
  text-align: center;
  margin-bottom: 90px;
  }
.customerReviewItem1, .customerReviewItem2, .customerReviewItem3, .customerReviewItem4{
 border-radius: 20px;
 border: 2px solid #419db1;
 padding: 8px;
}
.fiveStar{
  width: 150px;
  padding: 35px;
}







/*-----SPLIT IMG AND TXT HALFWAY w SPACE AROUND-----*/
@media screen and (min-width: 991px){
.halfContainer {
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
  padding: 0;
  margin: 90px;
  background-color: #419db1;

}
.halfImg, .halfTxt {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.halfImg {
  max-width: 50%; 
  height: 100%;
  margin: 0;
}
.halfImg img {
  max-width: 100%;
  height: 100%;
}
.halfTxt {
  text-align: center;
  flex-direction: column; 
  max-width: 50%; 
  padding: 50px;
}
}
@media screen and (max-width: 990px){
  .halfContainer {
    display: block;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    padding: 20px;
    margin: 12px;
    text-align: center;
    background-color: #419db1;
    
  }
  .halfImg {
    width: 100%; 
    height: 100%;
    margin: 0;
  }
 .halfImg img {
    max-width: 100%;
    height: 100%;
  }
  .centerImg{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  }





  /*-----4 Grid Img-----*/
  @media screen and (min-width: 1041px){
  .fourImgArea{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    margin: 90px;
    gap: 15px;
  }
  }
  @media screen and (min-width:661px) and (max-width: 1040px){
    .fourImgArea{
      display: grid;
      grid-template-columns: 1fr 1fr;
      grid-template-rows: 1fr 1fr;
      margin: 90px;
      gap: 15px;
    }
    }
    @media screen and (max-width:661px){
      .fourImgArea{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        margin: 20px;
        gap: 10px;
      }
      }





/*-----------MAP----------*/
@media screen and (min-width:661px){
.maparea{
  padding: 90px;
}
#map{
  background-color: #404040;
  height: 600px; 
  width: 49%;
  float:right;
  border-radius: 20px;
  margin-bottom: 90px;
}
.txtBackground{
  height: 600px; 
  width: 49%;
  float:left;
  background-color: #F0EEE4;
  border: 2px solid #419db1;
  border-radius: 20px;
  box-sizing: border-box;
}
.txtArea{
  display: flex;
  text-align: left;
  flex-direction: column; 
  max-width: 100%; 
  padding: 20px;
}
.locationSeperator {
  border-radius: 20px;
  border: 1px solid #419db1;
  background-color: #F0EEE4;
  color: #404040; 
  font-family: Arial, Helvetica, sans-serif;
  font-size: 20px;
  padding: 20px;
  letter-spacing: 1px;
  margin: 5px;
  align-items: center; 
  justify-content: center; 
  text-align: left;
}
}
@media screen and (max-width:660px){
  .maparea{
    padding: 20px;
  }
  #map{
    background-color: #404040;
    height: 600px; 
    width: 100%;
  }
  .txtBackground{
    height: auto; 
    width: 100%;
    background-color: #F0EEE4;
    border: 2px solid #419db1;
    border-radius: 20px;
    box-sizing: border-box;
    margin-bottom: 20px;
  }
  .txtArea{
    display: flex;
    text-align: left;
    flex-direction: column; 
    max-width: 100%; 
    padding: 20px;
  }
  .locationSeperator {
    border-radius: 20px;
    border: 1px solid #419db1;
    background-color: #F0EEE4;
    color: #404040; 
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    padding: 10px;
    letter-spacing: 1px;
    margin: 5px;
    align-items: center; 
    justify-content: center; 
    text-align: left;
  }
  }



/*---------EMAIL LIST--------*/
@media screen and (min-width:900px){
#email{
  background-color: #F0EEE4;
  border: 2px solid #55CAE5;
  width: 100%;
  padding: 20px;
  margin: 10px;
  font-family: Arial, Helvetica, sans-serif;
  color: #404040;
  font-size: 15px;
  border-radius: 10px;
}
label{
  color: #F0EEE4;
  font-family: Arial, Helvetica, sans-serif;
  letter-spacing: 1px;
  font-size: 20px;
  line-height: 1.5;
  display: block;
  text-align: left;
  margin: 10px;
}
}
@media screen and (max-width:899px){
  #email{
    background-color: #F0EEE4;
    border: 2px solid #55CAE5;
    width: 90%;
    padding: 10px 0px 10px 0px;
    margin: 10px 0px 10px 0px;
    font-family: Arial, Helvetica, sans-serif;
    color: #404040;
    font-size: 15px;
    border-radius: 10px;
  }
  label{
    color: #F0EEE4;
    font-family: Arial, Helvetica, sans-serif;
    letter-spacing: 1px;
    font-size: 20px;
    line-height: 1.5;
    display: block;
    text-align: left;
    margin: 0px 0px 10px 40px;
  }
  }
#submit{border-radius: 10px;
  border: none;
  background-color: #419db1;
  color: #F0EEE4;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 20px;
  padding: 10px 30px 10px 30px;
  letter-spacing: 1px;
  border: none;
  }
  #submit:hover{
  background-color: #F0EEE4;
  color: #419db1;
  }
  #submit:focus{
  background-color: #F0EEE4;
  color: #419db1;
  }
  #success, #unsuccess{
  background-color: #419db1;
  color: #F0EEE4;
  padding: 30px 0px 30px 0px;
  width: 100%;
  position: absolute;
  top: 90px;
  z-index: 2;
  border-bottom: 1px solid #404040;
  display: none;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 15px;
  text-align: center;
  }
  #honeypot{
    display: none!important;
  }





  /*---------FOOTER--------*/
footer{
  clear: both;
  width: 100%;
  background-color: #404040;
  height: 400px;
  bottom: 0;
}
.footertext{
  padding: 30px;
}
footer ul{
  list-style: none;
  padding-top: 0px;
  padding-left: 30px;
}
footer a{
  color: #F0EEE4;
  font-size: 15px;
  font-family: Arial, Helvetica, sans-serif;
  text-decoration: none;
  line-height: 1.5;
}
.sociallogos{
  display: inline-block;
  padding: 0px 30px 0px 30px;
}




/*----ABOUT US----*/
@media screen and (min-width: 991px){
  .mobileAboutUs{
    display: none;
  }
}
@media screen and (max-width: 990px){
  .desktopAboutUs{
    display: none;
  }
}

  










